# Uses of Interface
org.pentaho.reporting.libraries.resourceloader.cache.ResourceDataCacheEntry

Packages that use ResourceDataCacheEntry
Package
Description
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

## Uses of ResourceDataCacheEntry in org.pentaho.reporting.libraries.resourceloader.cache

Classes in org.pentaho.reporting.libraries.resourceloader.cache that implement ResourceDataCacheEntry
Modifier and Type
Class
Description
`class`
`DefaultResourceDataCacheEntry`
Creation-Date: 06.04.2006, 09:53:37
Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceDataCacheEntry
Modifier and Type
Method
Description
`ResourceDataCacheEntry`
NullResourceDataCache.`get(ResourceKey key)`
`ResourceDataCacheEntry`
ResourceDataCache.`get(ResourceKey key)`
Retrieves the given data from the cache.

## Uses of ResourceDataCacheEntry in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that return ResourceDataCacheEntry
Modifier and Type
Method
Description
`ResourceDataCacheEntry`
EHResourceDataCache.`get(ResourceKey key)`
Retrieves the given data from the cache.